# 商户被管控原因查询
接口应在服务器端调用,不可在前端(小程序、网页、APP等)直接调用,具体可参考接口调用指南。
接口英文名:query_punishment_reasons
查询商户被管控原因
# 1. 调用方式
# HTTPS 调用
POST https://api.weixin.qq.com/xpay/query_punishment_reasons?access_token=ACCESS_TOKEN&pay_sig=PAY_SIG
# 云调用
- 本接口不支持云调用。
# 第三方调用
本接口支持第三方平台代商家调用。
该接口所属的权限集 id 为:157
服务商获得其中之一权限集授权后,可通过使用 authorizer_access_token 代商家进行调用,具体可查看 第三方调用 说明文档。
# 2. 请求参数
# 查询参数 Query String Parameters
| 参数名 | 类型 | 必填 | 示例 | 说明 |
|---|---|---|---|---|
| access_token | string | 是 | ACCESS_TOKEN | 接口调用凭证,可使用 access_token、authorizer_access_token |
| pay_sig | string | 是 | - | 支付签名 |
# 请求体 Request Payload
无
# 3. 返回参数
# 返回体 Response Payload
| 参数名 | 类型 | 说明 |
|---|---|---|
| errcode | number | 错误码,0 表示成功 |
| errmsg | string | - |
| appid | string | 小程序 AppID |
| nickname | string | 小程序昵称 |
| merchant_code | string | 微信支付商户号 |
| limited_functions | array | 商户被管控能力列表 |
| other_limited_functions | string | 商户其他被管控能力描述 |
| recovery_specifications | objarray | 被管控原因及解脱路径列表 |
# Res.recovery_specifications(Array) Object Payload
被管控原因及解脱路径列表
| 参数名 | 类型 | 说明 |
|---|---|---|
| limitation_case_id | string | 该条管控原因对应的单据号,可与管控流水通知中的 business_code 关联。 |
| limitation_reason_type | string | 该条管控原因所属的类型。 |
| limitation_reason | string | 该条管控原因的简要描述。 |
| limitation_reason_describe | string | 该条管控原因的进一步说明,便于开发者理解为何被管控。 |
| relate_limitations | string | 在该条管控原因下,具体受影响的能力列表。 |
| other_relate_limitations | string | 若该条原因下还有未被标准枚举覆盖的管控能力,则通过该字段补充说明。 |
| recover_way | string | 微信支付建议的处理路径,开发者据此去微信支付商户平台进一步处理。 |
| recover_way_param | string | 解脱路径对应的补充参数,例如尽调单号、申诉单号、有权机关信息或经营类型确认单号。 |
| recover_help_url | string | 若微信支付提供进一步说明页面,则通过该字段返回。 |
| limitation_action_type | string | 该条管控原因对应的管控生效方式。 |
| limitation_start_date | string | 当处置方式为延迟管控时返回的预计开始时间。 |
| limitation_date | string | 该条管控原因实际生效的时间。 |
# 4. 注意事项
本接口无特殊注意事项
# 5. 代码示例
请求示例
{}
返回示例
{
"errcode": 0,
"errmsg": "",
"appid": "",
"nickname": "",
"merchant_code": "",
"limited_functions": [
""
],
"other_limited_functions": "",
"recovery_specifications": [
{
"limitation_case_id": "",
"limitation_reason_type": "",
"limitation_reason": "",
"limitation_reason_describe": "",
"relate_limitations": [
{}
],
"other_relate_limitations": "",
"recover_way": "",
"recover_way_param": "",
"recover_help_url": "",
"limitation_action_type": "",
"limitation_start_date": "",
"limitation_date": ""
}
]
}
# 6. 错误码
此接口没有特殊错误码,可参考 通用错误码;调用接口遇到报错,可使用官方提供的 API 诊断工具 辅助定位和分析问题。
# 7. 适用范围
本接口暂未明确可调用账号类型,或在业务中根据调用传参自行确定是否可调用,请以实际调用情况为准。